> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Company Credit Status

PUT https://api-b2b.bigcommerce.com/api/v3/io/companies/{companyId}/credit
Content-Type: application/json

Updates the credit settings for the Company specified by `companyId`. All fields are optional, but an empty request will result in unexpected behavior. If the Company credit feature is disabled, this request will fail. See [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) for more information.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/payment/put-companies-company-id-credit

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `companyId` (integer, required) — The unique numeric ID of the Company assigned by B2B Edition.

### Body (application/json)

This endpoint expects a creditStatus.

- `creditEnabled` (boolean, optional) — Indicates whether credit is enabled for the Company.
- `creditCurrency` (string, optional) — The 3-character currency code of the Company's credit account.
- `availableCredit` (double, optional) — The amount of credit available to the Company.
- `limitPurchases` (boolean, optional) — Indicates whether the Company users are allowed to make purchases using purchase orders when total price exceeds available credit.
- `creditHold` (boolean, optional) — Indicates whether the Company account is on a credit hold. If `true`, this flag prevents all Company users from making purchases.

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200) — Operation status code.
- `data` (creditStatus, optional)
- `meta` (CompaniesCompanyIdCreditPutResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### creditStatus

- `creditEnabled` (boolean, optional) — Indicates whether credit is enabled for the Company.
- `creditCurrency` (string, optional) — The 3-character currency code of the Company's credit account.
- `availableCredit` (double, optional) — The amount of credit available to the Company.
- `limitPurchases` (boolean, optional) — Indicates whether the Company users are allowed to make purchases using purchase orders when total price exceeds available credit.
- `creditHold` (boolean, optional) — Indicates whether the Company account is on a credit hold. If `true`, this flag prevents all Company users from making purchases.

### CompaniesCompanyIdCreditPutResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: Success) — Human-readable status message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "creditEnabled": true,
    "creditCurrency": "USD",
    "availableCredit": 123.45,
    "limitPurchases": true,
    "creditHold": true
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Payment_put-companies-companyId-credit_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit"

payload = {}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Payment_put-companies-companyId-credit_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payment_put-companies-companyId-credit_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payment_put-companies-companyId-credit_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Payment_put-companies-companyId-credit_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Payment_put-companies-companyId-credit_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Payment_put-companies-companyId-credit_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Payment_put-companies-companyId-credit_example
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```